Update user profile information
Updates the user’s detail information, profile information, privacy settings, and personal information in the user ID card.
You can also change a user’s name by changing the information in the userDetails property. When changing a user’s name, you can either change the information in the userName property OR change the information in firstName, middleName, lastName, suffixName, and title properties. Changes to firstName, middleName, lastName, suffixName, and title properties take precedence over changes to the userName property.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.
Request
This endpoint expects an object: userProfile
These properties cannot be modified in the PUT.
Indicates the authentication methods used by the user.
When set to true, the user’s company and title information are shown on the ID card.
When set to true, the user’s Address and Phone number are shown on the ID card.
When set to true, the user’s ID card can be viewed from signed documents and envelope history.
When set to true, the user’s usage information is shown on the ID card.
A complex element consisting of:
- lastSentDateTime - the date and time the user last sent an envelope.
- lastSignedDateTime - the date and time the user last signed an envelope.
- sentCount - the number of envelopes the user has sent.
- signedCount - the number of envelopes the user has signed.
The date-time when the user’s profile was last modified.